summaryrefslogtreecommitdiffstats
path: root/jjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh
diff options
context:
space:
mode:
authorSerena Feng <feng.xiaowei@zte.com.cn>2016-11-14 08:40:03 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-11-14 08:40:03 +0000
commit93b9e094461f7ef64dc0984bb1daa9d2cd844a1c (patch)
tree216e26a0dd13bdedc331b4bb3cd8248211d5207f /jjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh
parent1a2d904f601ff1c4d8796a010984741ec0318b04 (diff)
parentc86717276af969766d3a0ad5fbe12d61466da42b (diff)
Merge "Add merge job to Daisy4nfv CI"
Diffstat (limited to 'jjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh')
-rwxr-xr-xjjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/jjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh b/jjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh
new file mode 100755
index 000000000..26f7e9a01
--- /dev/null
+++ b/jjb/daisy4nfv/daisy4nfv-workspace-cleanup.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 ZTE Coreporation and others.
+# hu.zhijiang@zte.com.cn
+# sun.jing22@zte.com.cn
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# delete the $WORKSPACE to open some space
+/bin/rm -rf $WORKSPACE